<?php
/**
 * Plugin plxMyMailComment
 *
 * @package	PLX
 * @version	1.0
 * @date	21/09/2011
 * @author	Stephane F
 *
 **/
class plxMyMailComment extends plxPlugin {

	/**
	 * Constructeur de la classe
	 *
	 * @param	default_lang	langue par dfaut utilise par PluXml
	 * @return	null
	 * @author	Stephane F
	 **/
	public function __construct($default_lang) {

		# Appel du constructeur de la classe plxPlugin (obligatoire)
		parent::__construct($default_lang);

		# droits pour accder  la page config.php et admin.php du plugin
		$this->setConfigProfil(PROFIL_ADMIN);
		$this->setAdminProfil(PROFIL_ADMIN);

		# ajout du hook
		$this->addHook('plxMotorDemarrageNewCommentaire', 'plxMotorDemarrageNewCommentaire');
		$this->addHook('AdminTopBottom', 'AdminTopBottom');		
	}

	public function AdminTopBottom() {	
	
		$string = '
		if(empty($plxAdmin->aUsers[$_SESSION["user"]]["email"])) {
			echo "<p class=\"warning\">Plugin MyMailComment<br />'.$this->getLang("L_WARNING_NO_EMAIL").'</p>";
			plxMsg::Display();
		}';
		echo '<?php '.$string.' ?>';
	
	}
	
	/**
	 * Mthode qui envoie un mail  l'auteur de l'article
	 * Edit mineur par Deevad [10/2011] : Ajout de condition antispam, besoin de validation du commentaire,
	 *
	 * @return	stdio
	 * @author	Stphane F.
	 **/
	public function plxMotorDemarrageNewCommentaire() {
	
		   $string = '
		   $commenthumanname = "$retour";
		   $commentidforurl = substr($commenthumanname , 1);
		   $article_author = $this->plxRecord_arts->f("author");
		   $article_author_email = $this->aUsers[$article_author]["email"];
		   if($article_author_email!="") {
		         if($retour[0] == '.c.') { 
		            # Detection si un commentaire est ecrit dans la database ( prefix -c- en debut d ID )
		            
			         $eSubject = "'.$this->getLang("L_EMAIL_NEW_COMMENT").' ".$this->plxRecord_arts->f("title");
			         $eBody  = "'.$this->getLang("L_EMAIL_NEW_COMMENT_BY").' <b>".$_POST["name"]."</b> , <br /><br />";
			         $eBody .= $_POST["content"]."<br /><br />";
			         $eBody .= "-----------<br />";
			         $eBody .= "'.$this->getLang("L_EMAIL_READ_ONLINE").' : <a href=\"".$url."/#".$retour."\">".$this->plxRecord_arts->f("title")."</a>";
			         $eBody .= "<br /><a href=\"".$this->racine."core/admin/comments.php\"> '.$this->getLang("L_EMAIL_MANAGE_COMMENTS").' </a> &nbsp;&nbsp;&nbsp;|&nbsp;&nbsp;&nbsp; ";
			         $eBody .= "<a href=\"".$this->racine."core/admin/comment_new.php?c=".$this->plxRecord_arts->f("numero").".".$commentidforurl."\"> '.$this->getLang("L_EMAIL_DIRECT_ANSWER").' </a> ";
			         plxUtils::sendMail($this->aConf["title"], "no-reply@domaine.com", $article_author_email, $eSubject, $eBody, "html");
			      
			      } elseif ( $retour == '.mod.' ) {
			         # Detection d un commentaire en attente de moderation ( -mod- dans la chaine de caractere )
			      
                  $eSubject = "'.$this->getLang("L_EMAIL_NEW_COMMENT").' ".$this->plxRecord_arts->f("title");
			         $eBody  = "'.$this->getLang("L_EMAIL_NEW_COMMENT_BY").' <b>".$_POST["name"]."</b> , <br /><br />";
			         $eBody .= $_POST["content"]."<br /><br />";
			         $eBody .= "-----------<br />";
			         $eBody .= "<i>'.$this->getLang("L_EMAIL_WAITING_MODERATION").'</i><br />";
			         $eBody .= "<a href=\"".$this->racine."core/admin/comments.php?sel=offline&page=1\"> '.$this->getLang("L_EMAIL_MANAGE_COMMENTS").' </a> &nbsp;&nbsp;&nbsp;";
			         plxUtils::sendMail($this->aConf["title"], "no-reply@domaine.com", $article_author_email, $eSubject, $eBody, "html");
			      }
			   # Commentaire est autre, donc un SPAM, ou a echec de capcha = on envoie rien
		   }
		   ';
		   echo '<?php '.$string.' ?>';
        }

}
?>
